cURL
curl --request GET \
--url https://public-api.kiwify.com/v1/scheduled-installments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-kiwify-account-id: <api-key>'import requests
url = "https://public-api.kiwify.com/v1/scheduled-installments/{id}"
headers = {
"x-kiwify-account-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-kiwify-account-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://public-api.kiwify.com/v1/scheduled-installments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b8f0c2b4-2f1e-4a2c-9d3a-1f2e3d4c5b6a",
"created_at": "2026-01-10T13:00:00.000Z",
"status": "active",
"payment_method": "credit_card",
"installment_quantity": 12,
"total_amount": 120000,
"interest_total": 20000,
"next_charge_date": "2026-04-10",
"customer_access": {
"has_access": true
},
"charges": {
"completed": [
{
"installment_number": 1,
"due_date": "2026-01-10",
"amount": 10000,
"status": "paid"
},
{
"installment_number": 2,
"due_date": "2026-02-10",
"amount": 10000,
"status": "paid"
},
{
"installment_number": 3,
"due_date": "2026-03-10",
"amount": 10000,
"status": "paid"
}
],
"future": [
{
"installment_number": 4,
"due_date": "2026-04-10",
"amount": 10000,
"status": "open"
}
]
},
"product": {
"id": "c05a1348-059d-43d5-9856-06958f50db8a",
"name": "Meu Produto"
},
"customer": {
"name": "cliente 1",
"email": "cliente1@mail.com"
},
"purchase_order": {
"id": "928e2ff2-ef23-4147-ba46-b5e1b3a844db",
"ref_id": "EV9pCMk"
}
}Parcelado
Consultar plano do Parcelado
Consulte os detalhes de um plano do Parcelado Kiwify e suas parcelas, passando o id do plano.
GET
/
scheduled-installments
/
{id}
cURL
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Parâmetros de caminho
Resposta
200 - application/json
Detalhes do plano do Parcelado
Exemplo:
"b8f0c2b4-2f1e-4a2c-9d3a-1f2e3d4c5b6a"
Exemplo:
"2026-01-10T13:00:00.000Z"
Exemplo:
"active"
Exemplo:
"credit_card"
Exemplo:
12
Exemplo:
120000
Exemplo:
20000
Exemplo:
"2026-04-10"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
